Commit ea4e8e64 authored by Timothy Gu's avatar Timothy Gu 🤠 Committed by Michael Niedermayer
Browse files

Deprecate oldabi branch by adding a warning to configure



In order to build, users must now explicitly pass --enable-building to
configure.
Signed-off-by: default avatarMichael Niedermayer <michaelni@gmx.at>
parent 71ef1e49
......@@ -72,6 +72,9 @@ Standard options:
--mandir=DIR install man page in DIR [PREFIX/share/man]
Configuration options:
--enable-building enable building ONLY if you understand the
potential security risk posed by using this
branch (oldabi)
--disable-static do not build static libraries [no]
--enable-shared build shared libraries [no]
--enable-gpl allow use of GPL code, the resulting libs
......@@ -910,6 +913,7 @@ CONFIG_LIST="
avfilter
avformat
avisynth
building
bzlib
crystalhd
dct
......@@ -1936,6 +1940,22 @@ filter_cflags=echo
filter_cppflags=echo
filter_asflags=echo
if ! enabled building; then
cat <<EOF
!!!! WARNING !!!!
This branch is NOT actively maintained and CAN contain serious security
issues. This branch is only provided for historical interest.
For a newer branch with the old API/ABI, please use release/0.5 or
release/0.7.
If you really want to build this, pass --enable-building to configure.
EOF
log --enable-building not enabled. Aborting.
exit 1;
fi
if $cc -v 2>&1 | grep -q '^gcc.*LLVM'; then
cc_type=llvm_gcc
cc_version=__VERSION__
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment